ttx_page_stat Struct Reference

## Data Fields

uint8_t | page_type
uint8_t | charset_code
uint16_t | subcode
uint32_t | flags
uint8_t | n_subpages
uint8_t | max_subpages
uint8_t | subno_min
uint8_t | subno_max

## Field Documentation

## page_type

uint8_t ttx_page_stat::page_type

Actually vbi_page_type.

Referenced by vbi_classify_page().

## charset_code

uint8_t ttx_page_stat::charset_code

Actually vbi_ttx_charset_code, 0xFF if unknown.

Referenced by vbi_classify_page().

## subcode

uint16_t ttx_page_stat::subcode

Highest subpage number transmitted according to MOT, MIP, BTT.

- 0x0000 single page (SUBCODE_SINGLE_PAGE)
- 0x0002 - 0x0079 multi-page
- 0x0080 - 0x3F7F clock page, other pages with non-standard subpages not to be cached These codes were not transmitted but generated by libzvbi:
- 0xFFFE has 2+ subpages (SUBCODE_MULTI_PAGE)
- 0xFFFF unknown (SUBCODE_UNKNOWN)

Referenced by vbi_classify_page().

## flags

uint32_t ttx_page_stat::flags

Last received page ttx_flags (cache_page.flags).

## n_subpages

uint8_t ttx_page_stat::n_subpages

Subpages cached now and ever.

## subno_min

uint8_t ttx_page_stat::subno_min

Subpage numbers actually received (0x00 ... 0x79).